Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.writer.rdfxml.rdfwriter
Class OWLModelOrderedContentWriter

    java.lang.Object
      edu.stanford.smi.protegex.owl.writer.rdfxml.rdfwriter.OWLModelOrderedContentWriter

All Implemented Interfaces:
  RDFXMLContentWriter

    public class OWLModelOrderedContentWriter

extends Object
implements RDFXMLContentWriter

User: matthewhorridge
The University Of Manchester
Medical Informatics Group
Date: Oct 8, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Constructor Summary
`OWLModelOrderedContentWriter(OWLModel model, TripleStore tripleStore, Comparator comparator)` Constructs an OWLModel RDF/XML rdfwriter to render the specified `OWLModel`.

Method Summary
`protected Collection` | `getResources()`
`void` | `writeContent(XMLWriter writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWLModelOrderedContentWriter

    public OWLModelOrderedContentWriter(OWLModel model,
                                        TripleStore tripleStore,
                                        Comparator comparator)

  Constructs an OWLModel RDF/XML rdfwriter to render the specified `OWLModel`.

  Parameters:
    `model` - The model to be rendered.
    `tripleStore` - The triplestore to be rendered.

Method Detail

### getResources

    protected Collection getResources()

### writeContent

    public void writeContent(XMLWriter writer)
                      throws IOException

  Specified by:
    `writeContent` in interface `RDFXMLContentWriter`
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.